<?php /* _\|/_
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso-Module "Guestbook"                                           |
+------------------------------------------------------------------------+
| Copyright (c) Matthias Vorwergk                                        |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso.de                                             |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Mattias Vorwergk <matthias.vorwergk@web.de>                   |
+------------------------------------------------------------------------+
*/

if (!defined('CPO')) exit;
$directory = basename(dirname($_SERVER['PHP_SELF']));

//Datenbankfunktionen

function getSettings() {
    global $directory;
    $db = new DB;
    $query = "SELECT options FROM ".CPO_MODULES." WHERE name = '".addslashes(ucfirst($directory))."' ";
    DEBUG(1, $query, __FILE__, __LINE__);   
    $db->query($query);
    $db->next_record();
    //Moduleinstellungen setzen
    $gb_settings = unserialize($db->v('options'));
    return ($gb_settings);
}

//Macht aus Zahlen von 0-34 die "Buchstaben" 0-9 und a-y
function toChar($nr)
{
    if ($nr>9) {
        $nr = chr(($nr+87));
    } else {
        $nr = $nr;
    }
    return $nr;
}

//Wandelt Dezimale Zahlen in 3-Stellinge Zahlen der Basis 35 (0-9, a-z) um.
//$db_is_comment, ist die Nr des kommentierten Artikels falls kommentiert wird
//Wenn nicht kommentiert wird ($db_is_comment==0) sind die letzten 3 Ziffern 000 und die ersten 3 ergeben sich entsprechend $nr,
// sonst sind die ersten 3 Ziffern die des kommentierten Artikels und die letzten 3 Ziffern die des kommentierenden Artikels ($nr)
function getIdx($nr = '0', $db_is_comment = '0')
{
    $nr = (int)$nr;
    $u = floor($nr / pow(35, 2));
    $temp_v = $nr % pow(35, 2);    
    $v = floor($temp_v / pow(35, 1));
    $w = $temp_v % pow(35, 1);

    if (empty($db_is_comment)) {
        //es wird nicht kommentiert --> die letzten 3 Stellen werden 000
        $x = 0;
        $y = 0;
        $z = 0;
    } else {
        //es wird kommentiert --> aktuelle $nr im Index nach hinten.
        $x = $u;
        $y = $v;
        $z = $w;
        
        // und die nummer des kommentieren Artikels nach vorne
        $db_is_comment = (int)$db_is_comment;
        $u = floor($db_is_comment / pow(35, 2));
        $temp_v = $db_is_comment % pow(35, 2);    
        $v = floor($temp_v / pow(35, 1));
        $w = $temp_v % pow(35, 1);
    }
    
    //Zahlen in Buchstaben umwandeln
    $u = toChar($u);
    $v = toChar($v);
    $w = toChar($w);
    $x = toChar($x);
    $y = toChar($y);
    $z = toChar($z);    
    
    //Bei Zahlenbereichsberschreitungen des aktuellen Artikels "zzz" an den Index des kommentierten Artikels hngen
    if ($nr > pow(35, 3) && !empty($db_is_comment)) {
        $x = 'z';
        $y = 'z';
        $z = 'z';
    }
    
    //Indizes zusammensetzen
    $idx = $u.$v.$w.$x.$y.$z;
    
    //Bei Zahlenbereichsberschreitungen zzzzzz als Index verwenden, da nr eines neuen Artikels bzw. des kommentierten artikels zu gro ist.
    if ($db_is_comment > pow(35, 3) || ($nr > pow(35, 3) && empty($db_is_comment))) {
        $idx = 'zzzzzz';
    }
    
    return $idx;
}

//Macht aus "Buchstaben" 0-9 und a-y wieder Zahlen von 0-34
function toNumber($nr)
{
    if (ord($nr)>=97) {
        $nr = ord($nr)-87;
    } else {
        $nr = (int)$nr;
    }
    return $nr;
}

//Hohlt aus $idx die Nummer des Artikels, der kommentiert wurde, oder seine eigene Nummer, wenn er kein Kommentar ist
function getCommentedNr($idx)
{
    $idx = substr($idx, 0, 3);
    $db_is_comment = (toNumber(substr($idx, 0, 1))*pow(35, 2)) + (toNumber(substr($idx, 1, 1))*pow(35, 1)) + toNumber(substr($idx, 2, 1));
    return $db_is_comment;
}

//Quelle: http://www.ilovejackdaniels.com/php/email-address-validation/
function check_email_address($email) {
  // First, we check that there's one @ symbol, and that the lengths are right
  if (!ereg("^[^@]{1,64}@[^@]{1,255}$", $email)) {
    // Email invalid because wrong number of characters in one section, or wrong number of @ symbols.
    return false;
  }
  // Split it into sections to make life easier
  $email_array = explode("@", $email);
  $local_array = explode(".", $email_array[0]);
  for ($i = 0; $i < sizeof($local_array); $i++) {
     if (!ereg("^(([A-Za-z0-9!#$%&'*+/=?^_`{|}~-][A-Za-z0-9!#$%&'*+/=?^_`{|}~\.-]{0,63})|(\"[^(\\|\")]{0,62}\"))$", $local_array[$i])) {
      return false;
    }
  }  
  if (!ereg("^\[?[0-9\.]+\]?$", $email_array[1])) { // Check if domain is IP. If not, it should be valid domain name
    $domain_array = explode(".", $email_array[1]);
    if (sizeof($domain_array) < 2) {
        return false; // Not enough parts to domain
    }
    for ($i = 0; $i < sizeof($domain_array); $i++) {
      if (!ereg("^(([A-Za-z0-9][A-Za-z0-9-]{0,61}[A-Za-z0-9])|([A-Za-z0-9]+))$", $domain_array[$i])) {
        return false;
      }
    }
  }
  return true;
}

//TODO: das brauche eich eigentlich nicht mehr, knnte ich aber wieder aktivieren
function check_url($url)
{
    $regular = 'http://([\w-]+\.)+[\w-]+(/[\w- ./?%&=]*)?';
    return true; // preg_match("/$regular/",$url);
}

/* Quelle: http://www.stoppt-den-spam.info/webmaster/captcha-tutorial/index.html
von Roberto Zehnder, Rosenweg 15, 5722 Grnichen, Schweiz */
//Erweitert von Matthias Vorwergk - matthias.vorwergk@web.de
function encrypt($string, $key)
{
    $result = ''; 
    for($i=0; $i<strlen($string); $i++) { 
        $char = substr($string, $i, 1); 
        $keychar = substr($key, ($i % strlen($key))-1, 1); 
        $char = chr(ord($char)+ord($keychar)); 
        $result.=$char; 
    } 
    return base64_encode($result); 
}

//Klasse 'formreload' - Autor: Bjrn Schotte, ThinkPHP
//http://akademie.de/programmierung-administration/php/tipps/php-fuer-profis/formular-reloads-verhindern.html
//Erweitert von Matthias Vorwergk - matthias.vorwergk@web.de
class formreload 
{
    var $tokenarray = '__gb_safe';
    var $tokenname = '__gb_safe';
    var $tokenfastedit = '__gb_fastedit';

    function get_formtoken() {
        $tok = md5(uniqid("guestbook"));
        return sprintf("<input type='hidden' name='%s' value='%s'>",$this->tokenname,htmlspecialchars($tok));
    }

    //FIXME: ist das sinnvoll hier berall ein @ davor zu schreiben, damit 
    //       Warning: Illegal offset type in /mnt/ja1/04/584/00000009/htdocs/mod_guestbook/_include/function.inc.php on line 181
    //       nicht mehr angezeigt wird
    function easycheck() {
        @$tok = $_POST[$this->tokenname];
        if (@isset($_SESSION[$this->tokenarray][$tok])) {
            return false;
        } else {
            @$_SESSION[$this->tokenarray][$tok] = true;
            return true;
        }
    }
    
    //Schreibt Token fr Fastedit in die URL
    function get_urltoken() {
         @$tok = $_REQUEST[$this->tokenname];
        return sprintf('%s=%s',$this->tokenfastedit,htmlspecialchars($tok));
    }   
    
    //Holt Token fr Fastedit aus der URL und schreibt ein Input-Feld
    function get_formtoken_fastedit() {
        @$tok = $_REQUEST[$this->tokenfastedit];
        return sprintf("<input type='hidden' name='%s' value='%s'>",$this->tokenfastedit,htmlspecialchars($tok));
    }
    
    //Testet, ob der Token fr Fastedit schon in der Session sitzt
    function checkFastedit()
    {
        @$tok = $_REQUEST[$this->tokenfastedit];
        if (@isset($_SESSION[$this->tokenarray][$tok])) {
            return true;
        } else {
            return false;
        }
    } 
}

?>