<?php /* _\|/_
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso-Module "Guestbook"                                           |
+------------------------------------------------------------------------+
| Copyright (c) Matthias Vorwergk                                        |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso.de                                             |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Mattias Vorwergk <matthias.vorwergk@web.de>                   |
+------------------------------------------------------------------------+
*/

//if (!defined('CPO')) exit;
$directory = basename(dirname($_SERVER['PHP_SELF']));
//include_once('abbc/abbc.lib.php'); //Dies wird jetzt in common-module.inc.php includet
include_once('set_variables.inc.php'); //setzt Variablen fr den local- oder den global-header

if (!array_key_exists(ucfirst($directory), $activeModules) || !isset($cpoRubric['id'])) {
    include(CPO_BASEDIR.$directory.'/loadheaders.php');
    echo ___('The guestbook is currently disabled.');
    include(CPO_BASEDIR.$directory.'/loadfooters.php');
    return;
} elseif ($cpoRubricSettings['disableRubric']) {
    include(CPO_BASEDIR.$directory.'/loadheaders.php');
    echo $cpoRubricSettings['disableRubricText'];
    include(CPO_BASEDIR.$directory.'/loadfooters.php');
    return;
} elseif ($activeModules[ucfirst($moduleDirectory)]['installed']<(time()-14*24*60*60) && //Modul-Testzeitraum abgelaufen ?
	(!license($activeModules[ucfirst($directory)]['lkey'], 10) || license($activeModules[ucfirst($directory)]['lkey'], 10)=='4' || (license($cpoSystem['lkey'])=='1' && license($activeModules[ucfirst($moduleDirectory)]['lkey'], 10)=='2') )) {
    include(CPO_BASEDIR.$directory.'/loadheaders.php'); 
    echo ___('The guestbook is currently disabled due to missing license.');
    include(CPO_BASEDIR.$directory.'/loadfooters.php');
    return;
}

require_once(CPO_BASEDIR.$directory.'/_include/function.inc.php');

//Moduleinstellungen laden
$gb_settings = getSettings();
//Weitere Daten des Guestbook_Users aus der Datenbank zu den Moduleinstellungen hinzufgen
$db_u = new DB;
$query_user = "SELECT name, user, initial FROM ".CPO_USER." WHERE id='".addslashes($gb_settings['gb_user_id'])."' ";
DEBUG(1, $query_user, __FILE__, __LINE__);
$db_u->query($query_user);
$db_u->next_record();
$gb_settings['gb_user_name']    = $db_u->v('name');
$gb_settings['gb_user_user']    = $db_u->v('user');
$gb_settings['gb_user_initial'] = $db_u->v('initial');

//Gstebuch-Datumsformat als Rubrik-Datumsformat setzen
$cpoRubrics[$cpoRubric['id']]['settings']['date_format'] = $gb_settings['date_format'];


//Neues Objekt 'formreload', damit nichts 2 mal gespeichert wird
$f =& new formreload;

//Userdaten aus der Session holen
if (isset($_SESSION['SID_user']['id'])) {
    $sid_user = $_SESSION['SID_user'];
    $sid_user['author'] = $_SESSION['SID_user']['name'];
    //User auslesen
    $db_u = new DB;
    $query_user = "SELECT user FROM ".CPO_USER." WHERE id='".addslashes($_SESSION['SID_user']['id'])."' ORDER BY user asc";
    DEBUG(1, $query_user, __FILE__, __LINE__);
    $db_u->query($query_user); 
    $db_u->next_record();
    $sid_user['user'] = $db_u->v('user');
    if (empty($_SESSION['SID_user']['usergroups_id'])) {
    	$sid_user['usergroups_id'] = '-';
    }
}


$actions = array();
/*if (isset($_POST['reset'])) {
    $actions = array('reset_values');        
} else/**/if (isset($_REQUEST['action'])) {
    is_array($_REQUEST['action']) ? $actions = $_REQUEST['action'] : $actions = array($_REQUEST['action']);
} else {
    if ($pagetype=='detail') {
        $actions = array('enter');
    } else {
        $actions = array('index');
    }
}

while ($nextaction = array_shift($actions)) {
    switch ($nextaction) {
    case 'index': // {{{
        $views = array('index');

        break; // }}}}
    case 'enter': // {{{
        if ($gb_settings['everybody_can_enter'] || !empty($sid_user['usergroups_id']) || $sid_user['admin']==ROLE_ADMIN) {
            //dummerweise wird data in der Session gespeichert, wenn man schonmal einen Artikel gespeichert hat
            unset($data);

            $hidden_action = 'enter';
            $views = array('form');
        } else {
            $views = array('jump2index');
        }
        break; // }}}}
    case 'quote': // {{{
        //Markieren, welcher Artikel Zitiert werden soll
        $db_quote_nr = $_REQUEST['nr'];
        
        //db_nr des Artikels laden, falls hier ein Zitat kommentiert wird, denn dies wird auf Kommentare abgebildet.
        $db = new DB;
        $query = "SELECT idx, autor "
            ."FROM ".CPO_NEWS." WHERE nr = '".addslashes($db_quote_nr)."' ";
        DEBUG(1, $query, __FILE__, __LINE__);
        $db->query($query);
        $db->next_record();
   
        //Wenn Artikel nicht vorhanden
        if ($db->num_rows()<=0) {
            $views = array('index');
            break;
        }

        //$db_idx auslesen und in Nr des commentierten Artikels umwandeln
        $_REQUEST['nr'] = getCommentedNr($db->v('idx'));
        $db_quote_autor = $db->v('autor');
        
        //nun geht es direkt mit der Verarbeitung fr Kommentare weiter
        // }}}}
    case 'comment': // {{{
        if ($gb_settings['everybody_can_comment'] || !empty($sid_user['usergroups_id']) || $sid_user['admin']==ROLE_ADMIN) {
            $hidden_action = 'comment';
            $db_nr = $_REQUEST['nr'];
    
            //Daten aus DB holen
            $db = new DB;
            $query = "SELECT titel "
                ."FROM ".CPO_NEWS." WHERE nr = '".addslashes($db_nr)."' ";
            DEBUG(1, $query, __FILE__, __LINE__);
            $db->query($query);
            $db->next_record();
   
            //Wenn Artikel nicht vorhanden
            if ($db->num_rows()<=0) {
                $views = array('index');
                break;
            }

            //$db_titel auslesen und den entscheidenden Teil bergeben
            $db_titel         = $db->v('titel');
            if (count(explode('#', $db_titel))>=2) {
                $db_titel = substr($db_titel, strpos($db_titel, '#')+1);   
            }
    
            $views = array('form');
        } else {
            $views = array('jump2index');
        }
        break; // }}}}
    case 'save_article': // {{{
        $gb_ok2save = true;

        //Nicht in eine Rubrik speichern, die diesen Ordner nicht als Rubrikordner hat
        if ($cpoRubric['directory']!=$directory) {
            $gb_ok2save = false;
            //ohne Rubrikangabe in diesen Ordner springen --> var_category.php erledigt den Rest
            header('Location: '.BASE_ABS.$gb_settings['directory'].'/index.php', true); //?rubric='.urlencode($cpoRubric['name'])
            exit;            
        }

        //Daten verarbeiten
        if (!empty($_REQUEST['data'])) {
            $data = $_REQUEST['data'];
        }

        //Fehlermeldung aus den Platzhaltereinstellungen laden
        $db = new DB;
        $query = "SELECT fieldname, ddata "
            ."FROM ".CPO_PLACEHOLDERS." "
            ."WHERE templates_id='".(int)$gb_settings['template_id']."' "
            ."AND ddata!='' ";
        DEBUG(1, $query, __FILE__, __LINE__);
        $db->query($query);
        while ($db->next_record()) {
            $phdata[$db->v('fieldname')] = unserialize($db->v('ddata'));
        }

        //Artikel parsen, damit wir wissen, ob alle erforderlichen Felder Inhalt haben
        //Auerdem werden alle Teile von gb_url-Feldern richtig gesetzt.
        //Und das Array $mailData wird aufgebaut
        $db_template = $gb_settings['template_id'];
        $pagetype = 'detail';
        ob_start();
        require(CPO_BASEDIR.'_include/select_template.php');
        $form_parsed_template = ob_get_contents();
        ob_end_clean();

        
        //hidden_action && nr berprfen und auswerten, ob Aktion erlaubt ist.
        if(!empty($_REQUEST['nr']) && $_REQUEST['hidden_action']=='comment' && ($gb_settings['everybody_can_comment'] || !empty($sid_user['usergroups_id']) || $sid_user['admin']==ROLE_ADMIN)) {
            $db_is_comment = $_REQUEST['nr'];
        } elseif (!empty($_REQUEST['nr']) && //fr $hidden_action=='edit' oder 'fastedit'
            ($_REQUEST['hidden_action']=='edit' && !empty($sid_user['id'])) || //$hidden_action=='edit'
            ($_REQUEST['hidden_action']=='fastedit' && $f->checkFastedit())) { //$hidden_action=='fastedit'
            //$data['nr'] fr die Speicherung setzen
            $data['nr'] = $_REQUEST['nr'];
            //In DB berprfen, ob Artikel vorhanden --> d.h. ober bearbeitet werden darf
            //gleichzeitig werden wichtige Werte ausgelesen, die dann mit abgespeichert werden
            $db = new DB;
            $query = "SELECT idx, initial, sort_id, pub_datum, last_modify FROM ".CPO_NEWS." WHERE nr = '".addslashes($data['nr'])."' ";
            if ($_REQUEST['hidden_action']=='edit' &&  $sid_user['admin']!=ROLE_ADMIN) {
                $query .= " AND  initial = '".addslashes($sid_user['id'])."' ";
            }
            DEBUG(1, $query, __FILE__, __LINE__);
            $db->query($query);
            $db->next_record();
            if ($db->num_rows()==0) {
                $views = array('jump2index');
                $gb_ok2save = false; //ist eigentlich berflssig, da in nchster Zeile beBREAKt wird
                break;
            } else { //Daten fr die Speicherung des bestehenden Artiels bereitstellen
                if (substr($db->v('idx'), 3, 3)!='000' && substr($db->v('idx'), 3, 3)!='zzz') {
                    $db_is_comment = getCommentedNr($db->v('idx'));
                }  
                $data['idx']         = $db->v('idx');
                $data['sort_id']     = $db->v('sort_id');
                $data['pub_datum']   = $db->v('pub_datum');
                $data['initial']     = $db->v('initial');
                $data['last_modify'] = $db->v('last_modify');  //FIXME: das ist eigentlich berflssig, da ich bei $nextview == 'confirm': das aktuelle Datum gesetzt habe.
            }
        } elseif ($_REQUEST['hidden_action']=='enter' && ($gb_settings['everybody_can_enter'] || !empty($sid_user['usergroups_id']) || $sid_user['admin']==ROLE_ADMIN)) {
            //alles OK --> diesen elseif-Zweig brauche ich eigentlich nicht!?
        } else {
            $views = array('jump2index');
            $gb_ok2save = false; //ist eigentlich berflssig, da in nchster Zeile beBREAKt wird
            break;
        }


        //Werte speichern, wenn es keine Probleme gab
        if ($gb_ok2save) {
            if ($f->easycheck()) { //Erneutes Speichern abfangen
                //erforderliche Felder fr die Speicherung mit Standardwerten fllen, falls leer

                //Den GB_User aus den Einstellungen als Author verwenden
                //wenn der entsprchende Platzhalter im Template nicht verwendet wurde und dieses Feld demnach leer ist.
                if (empty($data['autor']))
                    $data['autor']      = $gb_settings['gb_user_name'];
    
                //Raute durch Leerzeichen ersetzen, da Rauten im Titel Steuerzeichen sind
                $data['titel'] = str_replace("#", " ", $data['titel']);
                //Als Titel einen Standard-Wert verwenden, wenn keiner angegeben ist.
                if (empty($data['titel'])) {
                    $data['titel']      = sprintf(___('%s of %s'), ($_REQUEST['hidden_action']=='comment' ? ___('Commentary') : ___('Article')), $data['autor']);
                }
                //Nach der vorherigen if-Abfrage ist $data['autor'] nie leer // !empty($data['titel']) &&
                if (!empty($db_is_comment)) {
                    $data['titel']      = sprintf(__('Commentary'), $db_is_comment).'#'.$data['titel'];
                } 
                /*if (!empty($db_is_comment)) {
                    $data['titel']      = sprintf(__('Commentary of No. %s'), $db_is_comment).'#'.$data['titel'];
                } elseif (empty($db_is_comment) && !empty($data['nr'])) {
                    $data['titel']      = sprintf(__('Article No. %s'), $data['nr']).'#'.$data['titel'];
                } elseif (empty($db_is_comment) && empty($data['nr']) && $_REQUEST['hidden_action']=='enter') {
                    $update_titel = true; //Titel wird spter gesetzt und in der DB gespeichert
                }/**/
                $data['rubric_id']      = $cpoRubric['id'];
                $data['templates_id']   = $gb_settings['template_id'];
                $data['releasedby']     = (($gb_settings['releaseNewArticles'] && !$dontReleaseBadwords) ? $gb_settings['gb_user_id'] : '');
                $data['keywords']       = $gb_settings['keywords'];
                if ($gb_settings['save_hostaddress']) {
                    $data['commentary']     = sprintf(___('This is a %s from %s / %s'),
                                            (!empty($db_is_comment) ? sprintf(___('Commentary of Guestbook-Article %s'), $db_is_comment) : ___('Guestbook-Article')),
                                            gethostbyaddr($_SERVER['REMOTE_ADDR']),
                                            gethostbyname($_SERVER['REMOTE_ADDR'])
                                          );
                } else {
                    $data['commentary'] = (!empty($db_is_comment) ? sprintf(___('Commentary of Guestbook-Article %s'), $db_is_comment) : ___('Guestbook-Article'));
                }
                $data['verfallsdatum']  = '2036-01-01 00:00:00';
                $data['datum']          = date("Y-m-d H:i:s",time());
                if (empty($data['pub_datum'])) { //Publikationsdatum wird vom ursprnglichen zu bearbeiteten artikel genommen
                    $data['pub_datum']  = date("Y-m-d H:i:s",time());            
                }
                if ($hidden_action!='edit' && $hidden_action!='fastedit' && !empty($data['initial'])) { //Wenn der ein ADMIN Artikel im Frontend bearbeitet, dann darf sich dieser Wert nicht verndern.
                	$data['initial']    = ((!empty($sid_user['id']) && $gb_settings['use_userid']) ? $sid_user['id'] : $gb_settings['gb_user_initial']);
                }
                $data['changedBy']      = ((!empty($sid_user['user']) && $gb_settings['use_userid']) ? $sid_user['user'] : $gb_settings['gb_user_user']);
                
                // speichern
                $data['nr'] = save_article($data);
                
                if (empty($data['idx'])) { //Dies ist nicht der fall bei $hidden_action=='fastedit' oder 'edit'
                    //Wenn $hidden_action=='enter' bzw. $update_titel==true, dann den Titel updaten und mit Artikel-Nummer fllen
                    //Index ber Funktion ermitteln und in DB-eintragen
                    $data['idx'] = getIdx($data['nr'], $db_is_comment);
                    
                    /*if ($update_titel) {
                        $data['titel']      = sprintf(__('Article No. %s'), $data['nr']).'#'.$data['titel'];
                        $db_insert_titel = " , titel = '".addslashes($data['titel'])."'";
                    } else {
                        $db_insert_titel = '';
                    }/**/
                    $db = new DB;
                    $query = "UPDATE ".CPO_NEWS." SET idx = '".addslashes($data['idx'])."'".$db_insert_titel." WHERE nr = '".addslashes($data['nr'])."' ";
                    DEBUG(1, $query, __FILE__, __LINE__);
                    $db->query($query);
                }

                //E-Mail bei bearbeitetem Artikel
                include('send_email.inc.php');

                $message[] = (!empty($gb_settings['saved_message']) ? $gb_settings['saved_message'] : ___('Your guestbook entry was saved! Thanks!'));
                if (!$gb_settings['releaseNewArticles'] && !empty($gb_settings['notReleased_message'])) {
                    $message[] = $gb_settings['notReleased_message'];
                } elseif ($dontReleaseBadwords && !empty($gb_settings['notReleased_badwordMessage'])) {
                    $message[] = $gb_settings['notReleased_badwordMessage'];
                }

                $views = array($gb_settings['nextview_after_entry']);
                logaction('save guestbook article', $data['titel'].' ['.$data['nr'].']');
            } else {
                $message[] = ___('Please don`t reload the page!');
                $views = array('jump2index');
            }
        } else {
            //Wenn noch Fehler im Formular, dann dieses nochmal zeigen 
            if (!empty($_REQUEST['nr'])) {
                $db_nr = $_REQUEST['nr'];
            }
            if (!empty($_REQUEST['hidden_action'])) {
                $hidden_action = $_REQUEST['hidden_action'];
            }
            //Titel fr die Anzeige, welcher Artikel gerade bearbeitet/kommentiert wird
            if (isset($_REQUEST['titel'])) {
            	$db_titel = $_REQUEST['titel'];
            }           
            $views = array('form');    
        }

        break; // }}}}
/*    case 'reset_values': // {{{ 
        //Werte Zurcksetzen
        if (!empty($_REQUEST['nr'])) {
            $db_nr = $_REQUEST['nr'];
        }
        if (!empty($_REQUEST['hidden_action'])) {
            $hidden_action = $_REQUEST['hidden_action'];
            array_push($actions, $hidden_action);
        } else {
            $views = array('index');
        }
        unset($_REQUEST['data']);
        unset($data);
                
        break; // }}}}/**/
    case 'fastedit': // {{{
    case 'edit': // {{{
        if (($nextaction=='fastedit' && !empty($_REQUEST['nr']) && $f->checkFastedit()) ||
        ($nextaction=='edit' && !empty($_REQUEST['nr']) && !empty($sid_user['id']))) {
            $db_nr = $_REQUEST['nr'];
            $hidden_action = $nextaction; //'fastedit' oder 'edit'

            //Daten aus DB holen
            $db = new DB;
            $query = "SELECT rubric_id, commentary, verfallsdatum, idx, email, autor, pub_datum, titel, initial, freigabe, changer, last_modify, c_time "
                ."FROM ".CPO_NEWS." WHERE nr = '".addslashes($db_nr)."' ";
            DEBUG(1, $query, __FILE__, __LINE__);
            $db->query($query);
            $db->next_record();

            //Wenn Artikel nicht vorhanden
            if ($db->num_rows()<=0) {
                $views = array('jump2index');
                break;
            }

            $db_idx           = $db->v('idx');
            $db_email         = $db->v('email');
            $db_autor         = $db->v('autor');
            $db_changer       = $db->v('changer');
            $db_c_time        = $db->v('c_time'); //Habe ich eingefgt
            $db_pub_datum     = $db->v('pub_datum');
            $db_verfallsdatum = $db->v('verfallsdatum');
            $db_commentary    = $db->v('commentary');
            $db_titel         = $db->v('titel');
            $db_initial       = $db->v('initial'); //Dies benutze ich fr die User_id = $sid_user['id'];
            $db_freigabe      = $db->v('freigabe');
            $db_rubric_id     = $db->v('rubric_id');
            $db_last_modify   = $db->v('last_modify');
            if ($GLOBALS['lastUpdated']<strtotime($db_last_modify)) {
                $GLOBALS['lastUpdated'] = strtotime($db_last_modify);
            }
    
            if (count(explode('#', $db_titel))>=2) {
                $db_titel = substr($db_titel, strpos($db_titel, '#')+1);            
            }

            $data['email']         = $db_email;
            $data['autor']         = $db_autor;
            $data['titel']         = $db_titel;

            if ($nextaction=='edit') {
                if ((!empty($db_initial) && $db_initial==$sid_user['id']) || $sid_user['admin']==ROLE_ADMIN)  {
                    $views = array('form');
                } else {
                    $views = array('index');
                }
            } elseif ($nextaction=='fastedit')            
                $views = array('form');
        } else {
            $views = array('index');
        }

        break; // }}}}
    }
}


//Seitenstatistik
if (empty($views))
    $statistics = array($pagetype);
else
    $statistics = $views;
while ($nextview = array_shift($statistics)) {
    switch ($nextview) {
    case 'index': // {{{
    case 'detail': // {{{        
        if ($cpoSystem['statistics']) {
            $datum = date('Y-m-d H:i:s', time());
            $query  = "UPDATE ".CPO_STATISTICS." SET "
                    .(($nextview=='index') ? "index_site = index_site+1, " : "detail_site = detail_site+1, ")
                    ."last_hit = '".addslashes($datum)."', "
                    ."c_time = '".addslashes($datum)."' "
                    ."WHERE rubric_id= '".addslashes($cpoRubric['id'])."'";
            DEBUG(1, $query, __FILE__, __LINE__);
            $db = new DB;
            $db->query($query);

            // if there was no article updated, add an article with a starting value of 1
            if ($db->affected_rows()==0) { 
                $query  = "INSERT INTO ".CPO_STATISTICS." ( id, rubric_id, index_site, detail_site, archive_site, last_hit, c_time ) "
                        ."VALUES ("
                        ."'', "
                        ."'".addslashes($cpoRubric['id'])."',"
                        .(($nextview=='index') ? "1, " : "0, ")
                        .(($nextview=='index') ? "0, " : "1, ")
                        ."0,"
                        ."'".addslashes($datum)."', "
                        ."'".addslashes($datum)."')";
                DEBUG(1, $query, __FILE__, __LINE__);
                $db->query($query);
            }
        } //ifEnd
        break; // }}}
    } //switchEnd
} //Statistik Ende

//Ansicht fr die Indexseite aus den GB-Einstellungen laden, um Formular und Artikel gleichzeitig anzuzeigen
if ($views==array('index') && stristr($gb_settings['index_view'], '#') && is_array(explode('#', $gb_settings['index_view']))) {
    $views = explode('#', $gb_settings['index_view']);
    $hidden_action = 'enter';
}

while ($nextview = array_shift($views)) {
    //Header und message ausgeben, wenn nicht zur Index-Seite gesprungen werden soll
    if (!isset($header_is_printed) && $nextview!='index2article' && $nextview!='jump2index' && (!empty($data['nr']) || $nextview!='confirm')) {
        include(CPO_BASEDIR.$directory.'/loadheaders.php');
        include(CPO_BASEDIR.'_include/message.php');
        $header_is_printed = true;
    }

    switch ($nextview) {
    case 'form': // {{{
        //ffnenden Form-Tag generieren
        $form_start = '<form id="form_guestbook" name="form_guestbook" action="'.BASE_ABS.$directory.'/detail.php'.'" method="post" style="display: inline;">';
        $form_start .= '<input type="hidden" name="rubric" value="'.$cpoRubric['name'].'">';
        //Schutz vor Doppelten Eintrgen/Speicherungen durch Browser-Reloads
        $form_start .= $f->get_formtoken();
        //Da Button-Elemente im IE nicht wie Input-Felder mit name="..." und value="..." funktionieren, steht das folgende da
        $form_start .= '<input type="hidden" name="action" value="save_article" />';
        
        if (!empty($db_nr)) {
            //Zum editieren, kommentieren und fasteditieren
            $form_start .= '<input type="hidden" name="nr" value="'.$db_nr.'" />';
        }
        if (!empty($db_titel) && ($hidden_action=='edit' || $hidden_action=='fastedit' || $hidden_action=='comment')) {
            //Dies ist dafr verantwortlich, dass ber dem Formular der titel des kommentierten, oder bearbeiteten Artikels angezeigt werden kann
            $form_start .= '<input type="hidden" name="titel" value="'.$db_titel.'" />';
        }
        if (!empty($hidden_action)) {
            //Um zu kontrollieren, dass editieren, kommentieren, fasteditieren erlaubt ist und um diese Werte zu speichern
            $form_start .= '<input type="hidden" name="hidden_action" value="'.$hidden_action.'" />';
        }
        if (!empty($hidden_action) && $hidden_action=='fastedit') {
            //Zur Authentifizierung des Users, damit dieser einen Artikel nochmal bearbeiten darf
            $form_start .= $f->get_formtoken_fastedit();
        }
        //Schlieenden Form-Tag generieren
        $form_ende = '</form>';

        //Formularstart ausgeben
        echo $form_start;
        
        //Template und Pagetype frs Parsing setzen
        $db_template = $gb_settings['template_id']; 
        $pagetype = 'detail';
        require(CPO_BASEDIR.'_include/select_template.php');
        
        //Formularende ausgeben
        echo $form_ende;

        break;// }}}
    case 'confirm': // {{{
        if (empty($data['nr'])) {
            array_push($views, 'jump2index');
            continue; //oder break;
        }
        
        $db_fastedit      = $f->get_urltoken();
        $db_template      = $gb_settings['template_id']; //$db->v('templates_id');
        $db_nr            = $data['nr']; //kommt gerade von save_article zurck
        if (!empty($data['idx'])) {
            $db_idx       = $data['idx'];
        }
        $db_email         = $data['email'];
        $db_autor         = $data['autor'];
        $db_changer       = $data['changedBy'];
        $db_pub_datum     = $data['pub_datum'];
        $db_verfallsdatum = $data['verfallsdatum'];
        $db_commentary    = $data['commentary'];
        $db_titel         = $data['titel'];
        if (count(explode('#', $db_titel))>=2) {
            $db_titel = substr($db_titel, strpos($db_titel, '#')+1);            
        }
        $db_initial       = $data['initial']; //Dies benutze ich fr die User_id = $sid_user['id'];
        //$db_freigabe      = ($gb_settings['releaseNewArticles'] ? '0' : '1'); //immer das gegenteil von releaseNewArticles
        $db_rubric_id     = $cpoRubric['id'];
        $db_last_modify   = date('Y-m-d H:i:s' ,time()); //$data['last_modify'];

        $pagetype = 'index';    
        require(CPO_BASEDIR.'_include/select_template.php');
        
        break;// }}}
    case 'index2article': // {{{
        header('Location: '.BASE_ABS.$gb_settings['directory'].'/index.php?rubric='.urlencode($cpoRubric['name']).'&nr='.$data['nr'].'#'.$data['nr'], true);
        exit;
        
        break;// }}}
    case 'jump2index': // {{{
        header('Location: '.BASE_ABS.$gb_settings['directory'].'/index.php?rubric='.urlencode($cpoRubric['name']), true);
        exit;

        break;// }}}
    case 'index': // {{{
        require(CPO_BASEDIR.$directory.'/_include/i_gb_index.php');
        
        break;// }}}
    }
    
    //Footer ausgeben, wenn nicht zur Index-Seite gesprungen werden soll
    if ($nextview!='index2article' && $nextview!='jump2index' && count($views)==0) {
        if(!isset($GLOBALS['lastUpdated'])) {
            $GLOBALS['lastUpdated'] = time();
        }
        include(CPO_BASEDIR.$directory.'/loadfooters.php');
    }
}

?>
