<?php /* _\|/_
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso-Module "Guestbook"                                           |
+------------------------------------------------------------------------+
| Copyright (c) Matthias Vorwergk                                        |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso.de                                             |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Mattias Vorwergk <matthias.vorwergk@web.de>                   |
+------------------------------------------------------------------------+
*/

if (!defined('CPO')) exit;

global $key, $_type, $_name, $fetchedcontent, $db_nr, $content, $translator,
    $gb_settings, //allgemeiner Wert -> immer vorhanden
    $hidden_action, //erhllt den Wert von $_REQUEST['action'], wenn auf Senden oder Abbrechen geckickt wurde
    $nextview,
    $pagetype,
    $sid_user,
    $mailData,
    $cpoSystem, $auto_base_url,
    $cpoRubric, //um das Parser nur im Modul Guestbook zu erlauben.
    $directory, //um das Parser nur im Modul Guestbook zu erlauben.
    $activeModules, //um das Parser nur im Modul Guestbook zu erlauben.
    $db_comments_datei, //enthallt einen String mit smtlichen geparsten Kommentaren
    $db_initial, //zur Kontrolle, ob editiert werden darf
    $db_fastedit, //zur Kontrolle, ob fasteditiert werden darf
    $db_idx; //wenn der "Adressraum" der Idx-Werte verbraucht ist, dann ist kein kommentieren mehr mglich

//Parser nur im Modul Guestbook erlauben.
if (empty($activeModules[ucfirst($directory)]) || $cpoRubric['directory']!=$activeModules[ucfirst($directory)]['directory']) return;    

// Kommentare
if (strtolower($_name)=='comments' && !empty($db_comments_datei) && $pagetype=='index') {
    $content['comments (guestbook)'] = array(
        'type'      =>'guestbook',
        'name'      =>'comments',
        'comments'  =>$db_comments_datei
    );
}

// Submit-Button
if (strtolower($_name)=='submit') {
    $content['submit (guestbook)'] = array(
        'type'      =>'guestbook',
        'name'      =>'submit',
        'btn_type'  =>'submit'/*,
        'btn_name'  =>'submit'*/
    );
}

//Reset-Button
if (strtolower($_name)=='reset') {
    $content['reset (guestbook)'] = array(
        'type'      =>'guestbook',
        'name'      =>'reset',
        'btn_type'  =>'reset'/*'submit',
        'btn_name'  =>'reset'*/
    );
}

//Captcha zur Vermeidung von Spam
if (strtolower($_name)=='captcha' && $pagetype=='detail') {
	$content['captcha (guestbook)'] = array(
        'type'      =>'guestbook', 
        'name'      =>'captcha',
        'cap_num'   =>BASE_ABS.$directory.'/_include/captcha/captcha.php',
        'cap_calc'  =>BASE_ABS.$directory.'/_include/captcha/rechen-captcha.php',
        'input_size'=>'4'
	);
}

//gesamte Daten, welche an das Gstebuch gesendet wurden und gespeichert werden
if (strtolower($_name)=='form_data' && $pagetype=='email') {
    $content['form_data (guestbook)'] = array(
        'type'      =>'guestbook',
        'name'      =>'form_data',
        'mailData'  =>$mailData
    );
}

//Daten, welche beim Mailversand sinnvoll sind
if (strtolower($_name)=='cposystem' && $pagetype=='email') {
    $content[$key] = array(
        'type'      =>$_type,
        'name'      =>$_name,
        'cpoSystem' =>$cpoSystem
    );
    if (empty($content[$key]['cpoSystem']['base_url'])) {
    	$content[$key]['cpoSystem']['base_url'] = $auto_base_url;
    }
}

//Link zum Gstebuch auf der Besttigungsseite oder der Detailseite(Artikelseite)
//Entspricht normalem Link zur Indexseite
if ($nextview=='confirm' || $pagetype=='detail') {
    $content['link2gb (guestbook)'] = array(
        'type'      =>'guestbook',
        'name'      =>'link2gb',
        'url'       =>'index.php?rubric='.htmlspecialchars($cpoRubric['name']),
        'urltext'   =>___('back to the entrys')
    );
}

//Link zum Kommentieren auf der Indexseite, die keine Besttigungsseite ist
//Entspricht normalem Link zur Detailseite
if ($nextview!='confirm' && ($gb_settings['everybody_can_comment'] || !empty($sid_user['usergroups_id']) || $sid_user['admin']==ROLE_ADMIN) &&
    substr($db_idx, 0, 3)!='zzz' && //Wenn der "Adressraum" der Idx-Werte aufgebraucht ist, ist keine kennzeichnung von Kommentaren mglich
    ($pagetype=='index' || ($pagetype=='detail' && !empty($_REQUEST['nr']) && ($_REQUEST['action']=='comment' || $hidden_action=='comment')))) { //Auf Detailseite sollen ifSet und ifNotSet von Link2comment und link2edit richtig funktionieren
    $content['link2comment (guestbook)'] = array(
        'type'      =>'guestbook',
        'name'      =>'link2comment',
        'url'       =>'detail.php?nr='.htmlspecialchars($db_nr).'&amp;rubric='.htmlspecialchars($cpoRubric['name']).'&amp;action=comment',
        'urltext'   =>___('comment')
    );
}

//Link zum Zitieren auf der Indexseite und der Kommentarseite, die keine Besttigungsseite ist
//Entspricht normalem Link zur Detailseite
if ($nextview!='confirm' && ($gb_settings['everybody_can_comment'] || !empty($sid_user['usergroups_id']) || $sid_user['admin']==ROLE_ADMIN) &&
    substr($db_idx, 0, 3)!='zzz' && //Wenn der "Adressraum" der Idx-Werte aufgebraucht ist, ist keine kennzeichnung von Kommentaren mglich
    ($pagetype=='index' || $pagetype=='php')) {
    $content['link2quote (guestbook)'] = array(
        'type'      =>'guestbook',
        'name'      =>'link2quote',
        'url'       =>'detail.php?nr='.htmlspecialchars($db_nr).'&amp;rubric='.htmlspecialchars($cpoRubric['name']).'&amp;action=quote',
        'urltext'   =>___('quote')
    );
}

//Link zum Editieren des eingenen Artikels auf der Indexseite, die keine Besttigungsseite ist
if ($nextview!='confirm' && (($db_initial==$sid_user['id'] && !empty($db_initial) && !empty($sid_user['id'])) || $sid_user['admin']==ROLE_ADMIN) &&
    ($pagetype=='index' || $pagetype=='php' || ($pagetype=='detail' && ($_REQUEST['action']=='edit' || $hidden_action=='edit') && $_REQUEST['nr']))) { //Auf Detailseite sollen ifSet und ifNotSet von Link2comment und link2edit richtig funktionieren
    $content['link2edit (guestbook)'] = array(
        'type'      =>'guestbook',
        'name'      =>'link2edit',
        'url'       =>'detail.php?nr='.$db_nr.'&amp;rubric='.htmlspecialchars($cpoRubric['name']).'&amp;action=edit',
        'urltext'   =>___('edit')
    );
}

//Link zum Artikeln ins Gstebuch auf der Indexseite, die keine Besttigungsseite ist
if ($nextview!='confirm' && ($gb_settings['everybody_can_enter'] || !empty($sid_user['usergroups_id']) || $sid_user['admin']==ROLE_ADMIN) && 
    ($pagetype=='index' || $pagetype=='php' || ($pagetype=='detail' /*&& ($_REQUEST['action']=='enter' || $hidden_action=='enter')*/ && empty($_REQUEST['nr'])))) { //Auf Detailseite sollen ifSet und ifNotSet von Link2comment und link2edit richtig funktionieren
    $content['link2enter (guestbook)'] = array(
        'type'      =>'guestbook',
        'name'      =>'link2enter',
        'url'       =>'detail.php?rubric='.htmlspecialchars($cpoRubric['name']).'&amp;action=enter',
        'urltext'   =>___('enter')
    );
}

//Link zum nochmaligen bearbeiten, auf der Besttigungsseite (Indexseite)
if ((($nextview=='confirm' && stristr(strtolower($key), 'fastedit') && !empty($db_fastedit) && !empty($db_nr))) ||
    ($nextview!='confirm' && $pagetype=='detail' && ($_REQUEST['action']=='fastedit' || $hidden_action=='fastedit') && !empty($_REQUEST['nr']))) {
    $content['fastedit (guestbook)'] = array(
        'type'      =>'guestbook',
        'name'      =>'fastedit',
        'url'       =>'detail.php?nr='.htmlspecialchars($db_nr).'&amp;rubric='.htmlspecialchars($cpoRubric['name']).'&amp;action=fastedit&amp;'.$db_fastedit,
        'urltext'   =>___('edit again')
    );
}

?>
