<?php /* _\|/_
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso-Module "Guestbook"                                           |
+------------------------------------------------------------------------+
| Copyright (c) Matthias Vorwergk                                        |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso.de                                             |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Mattias Vorwergk <matthias.vorwergk@web.de>                   |
+------------------------------------------------------------------------+
*/

if (!defined('CPO')) exit;

global $content, $key, $parameters, $replacement,
    // Die folgenden Werte sind fr die Validierung
    $gb_ok2save, $phdata, $_name, $data, $gb_settings, $nextaction, $message, $mailData, $checked_fields;
    
$field_name = htmlspecialchars($content[$key]['input_name']);
$field_value = htmlspecialchars($content[$key]['input_value']);

if (!empty($parameters['size'])) {
    $input_size = ' size="'.htmlspecialchars($parameters['size']).'"';
} else $input_size = '';

if (!empty($parameters['maxlength'])) {
    $input_maxlength = ' maxlength="'.htmlspecialchars($parameters['maxlength']).'"';
} else $input_maxlength = '';

if (!empty($parameters['tabindex'])) {
    $input_tabindex = ' tabindex="'.htmlspecialchars($parameters['tabindex']).'"';
} else $input_tabindex = '';

if (!empty($parameters['accesskey'])) {
    $input_accesskey = ' accesskey="'.htmlspecialchars($parameters['accesskey']).'"';
} else $input_accesskey = '';

if (!empty($parameters['class'])) {
    $input_class = ' class="'.htmlspecialchars($parameters['class']).'"';
} else $input_class = '';


$_t =  '<input type="text"'.$input_size.$input_maxlength.$input_tabindex.$input_accesskey.$input_class
    .'name="'.$field_name.'" value="'.$field_value.'" />';

$replacement = $_t;


//berprfung von Pflichtfeldern und Validierung der Werte
if ($nextaction=='save_article' && !array_key_exists($key, $checked_fields)) {
    //Meldung aus den Parametern oder Platzhaltereinstellungen oder Moduleinstellungen oder einen Standard-Text nehmen
    if (array_key_exists('needed', $parameters) && strlen($parameters['needed'])!=1) {
        $empty_field_message = $parameters['needed'];
    } elseif (array_key_exists('required', $parameters) && strlen($parameters['required'])!=1) {
        $empty_field_message = $parameters['required'];
    } elseif (!empty($phdata[$_name]['label'])) {
    	$empty_field_message = $phdata[$_name]['label'];
    } else {
        $empty_field_message = sprintf(__('Please write something in the field %s!'), ucfirst($_name));
    }
    
    //Inhalt der Platzhalter in eine Variable schreiben
    $field_data = $data['content'][$_name.' (url)']['url'];
    $field_name = ucfirst($_name);
    
    //Fehlermeldung bei Leeren erforderlichen Feldern ausgeben
    if ((array_key_exists('required', $parameters) || array_key_exists('needed', $parameters)) && (empty($field_data) || $field_data=='http://')) {
        $message[] = $empty_field_message;
        $gb_ok2save = false;
        $checked_fields[$key] = $_name; //mehrfache validierung eines Elements verhindern
    }
    
    //Fehlermeldung bei nicht korrekter E-Mail
    if (array_key_exists('mailcheck', $parameters) && !check_email_address($field_data) && !empty($field_data)) {
        $message[] = (($parameters['mailcheck']==1) ? ___('Your given mailadress is not correct!') : $parameters['mailcheck']);
        $gb_ok2save = false;
        $checked_fields[$key] = $_name; //mehrfache validierung eines Elements verhindern
    }
    
    //Badwords herausfiltern
    if (array_key_exists('badword', $parameters)) $parameters['badwords'] = $parameters['badword'];
    if (array_key_exists('badwords', $parameters)) {
        $badwords = str_replace(',', ' ', $gb_settings['badwords']);
        $badwords = explode(' ', $badwords);
        
        if ($gb_settings['releaseBadwordArticles'] || empty($gb_settings['notReleased_badwordMessage'])) {
            foreach ($badwords as $badword) {
                $field_data = str_replace($badword, $gb_settings['badwords_replace'], $field_data);
                if ($parameters['badwords']=='kleingro' && strlen($parameters['badwords'])>'1') {
                    //Mit kleinen Suchwrtern suchen
                    $badword = strtolower($badword);
                    $field_data = str_replace($badword, $gb_settings['badwords_replace'], $field_data);
                    //Mit Suchwrtern suche, wo der Erste Buchstage Gro ist
                    $badword = ucfirst($badword);
                    $field_data = str_replace($badword, $gb_settings['badwords_replace'], $field_data);
                    //Mit GROEN Suchwrtern suchen
                    $badword = strtoupper($badword);
                    $field_data = str_replace($badword, $gb_settings['badwords_replace'], $field_data);
                }
            }
            //Bearbeiteten Inhalt zurck in den $data-Array schreiben
            $data['content'][$_name.' (url)']['url'] = $field_data;
        } else {
            $dontReleaseBadwords = false;
            $field_data_temp = '  '.$field_data.'  ';
            foreach ($badwords as $badword) {
                if (strpos($field_data_temp, $badword)) {
                	$dontReleaseBadwords = true;
                } elseif (stristr($field_data_temp, $badword) && ($parameters['badwords']=='kleingro' || $parameters['badwords']=='kleingross') && strlen($parameters['badwords'])>'1') {
                    $dontReleaseBadwords = true;
                }
            }
        }
    }
    
    //Fehlende Felder fr URL-Platzhalter setzen
    if (!empty($field_data) && $field_data!='http://') { //leere Homepage-Felder leer lassen
        //url, urltext urltarget=_blank setzen
        if (substr($field_data, 0, 7)=='http://') {
            if (empty($data['content'][$_name.' (url)']['urltext']))
                $data['content'][$_name.' (url)']['urltext'] = substr($field_data, 7);
        } else {
            if (!strpos($data['content'][$_name.' (url)']['url'], '@'))
                $data['content'][$_name.' (url)']['url'] = 'http://'.$field_data;
            if (empty($data['content'][$_name.' (url)']['urltext']))
                $data['content'][$_name.' (url)']['urltext'] = $field_data;
       }                        
       $data['content'][$_name.' (url)']['urltarget'] = '_blank';
    }

    

    //Mailtext zusammen bauen
    $mailData[$field_name] = $field_data;
}
    
?>
