<?php /* _\|/_
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso-Module "Guestbook"                                           |
+------------------------------------------------------------------------+
| Copyright (c) Matthias Vorwergk                                        |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso.de                                             |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Mattias Vorwergk <matthias.vorwergk@web.de>                   |
+------------------------------------------------------------------------+
*/

if (!defined('CPO')) exit;

global $content, $key, $_type, $_name, $parameters, $replacement, $translator,
    // Die folgenden Werte sind fr die Validierung
    $gb_ok2save, $nextaction, $message, $checked_fields, $_POST;

// Kommentare, Button oder Link ausgeben?
switch ($content[$key]['name']) {
case 'comments':
    $replacement = $content[$key]['comments'];
    
    break;
case 'submit':
case 'reset':
    
    $_t =  '<button type="'.htmlspecialchars($content[$key]['btn_type'])/*.'" ' //Die flogenden Angaben bentige ich nicht mehr
          .'name="'.htmlspecialchars($content[$key]['btn_name']).'" '
          .'value="'.htmlspecialchars($content[$key]['btn_value'])/**/.'"';
    
    if (!empty($parameters['tabindex'])) {
        $_t .= ' tabindex="'.htmlspecialchars($parameters['tabindex']).'"';
    }
    
    if (!empty($parameters['accesskey'])) {
        $_t .= ' accesskey="'.htmlspecialchars($parameters['accesskey']).'"';
    }
    
    $_t .= '>';
    
    if (!empty($parameters['label'])) {
        $_t .= $parameters['label'];
    } else {
        $_t .= ucfirst($content[$key]['name']);
    }
    
    $_t .= '</button>';
    
    $replacement = $_t;
    
    break;
case 'link2gb': 
case 'link2comment':
case 'link2quote':
case 'link2edit':
case 'link2enter':
case 'fastedit':
    
    if (!empty($parameters['label'])) { //array_key_exists('label', $parameters)
        $_t = $parameters['label'];
    } else {
        $_t = $content[$key]['urltext'];
    }
    
    //FIXME: bracht man das berhaupt bzw. ist es sinnvoll
    if (array_key_exists('strip_tags', $parameters)) {
        $_t = strip_tags($_t);
    }

    //Wenn keine weitere Option vorhanden ist, wird der Link hierdurch generiert
    $replacement = sprintf('<a href="%s">%s</a>', 
        $content[$key]['url'], 
        $_t
    );

    if (array_key_exists('starttag', $parameters)) {
        $replacement = sprintf('<a href="%s">', 
            $content[$key]['url']
        );
    }

    if (array_key_exists('url', $parameters)) {
        $replacement = $content[$key]['url'];
    }

    if (array_key_exists('text', $parameters)) {
        //$_t wird weiter oben durch die Option label oder einen Standardtext gefllt
        $replacement = $_t;
    }

    break;
case 'captcha':

    if (!array_key_exists('type', $parameters) || $parameters['type']=='1') {
        $parameters['type'] = 'image';
    }
    
    //Die folgende bearbeitung des Case-Zweiges abbrechen, wenn bereits Daten gesendet werden.
    if ($nextaction=='save_article') {
    	break;
    }

    if (!empty($parameters['size'])) {
        $input_size = ' size="'.htmlspecialchars($parameters['size']).'"';
    } else {
        $input_size = ' size="'.htmlspecialchars($content[$key]['input_size']).'"';
    }
    if (!empty($parameters['maxlength'])) {
        $input_maxlength = ' maxlength="'.htmlspecialchars($parameters['maxlength']).'"';
    } else $input_maxlength = '';
    if (!empty($parameters['tabindex'])) {
        $input_tabindex = ' tabindex="'.htmlspecialchars($parameters['tabindex']).'"';
    } else $input_tabindex = '';
    if (!empty($parameters['accesskey'])) {
        $input_accesskey = ' accesskey="'.htmlspecialchars($parameters['accesskey']).'"';
    } else $input_accesskey = '';
    if (!empty($parameters['class'])) {
        $input_class = ' class="'.$parameters['class'].'"';
    } else $input_class = '';

    $captcha_input = '<input type="text" name="sicherheitscode" '
        .$input_size.$input_maxlength.$input_tabindex.$input_accesskey.$input_class.' />';
        
    if ($parameters['type']=='radio') {
        $label1 = ($parameters['label1'] ? $parameters['label1'] : ___('I am a spammer'));
        $label2 = ($parameters['label2'] ? $parameters['label2'] : ___('I am a user'));
        if ($_POST['sicherheitscode']=='benutzer') {
            $checked2 = ' checked="checked"';
        } else {
            $checked1 = ' checked="checked"';
        }
        $_t = '<input type="radio" name="sicherheitscode" value="spammer" id="spammer"'.$checked1.$input_class.' />'
            .'<label for="spammer"'.$input_class.'>'.$label1.'</label><br />'.
            '<input type="radio" name="sicherheitscode" value="user" id="user"'.$checked2.$input_class.' />'
            .'<label for="user"'.$input_class.'>'.$label2.'</label><br />';        
    }elseif ($parameters['type']=='calc' || $parameters['type']=='calculate') {
        $captcha_image = '<img src="'.htmlspecialchars($content[$key]['cap_calc']).'"'.($input_class ? $input_class : ' align="absmiddle"').' border="0" title="Sicherheitscode">';
        $_t = $captcha_image.' '.$captcha_input;
    } elseif ($parameters['type']=='image') {
        $captcha_image = '<img src="'.htmlspecialchars($content[$key]['cap_num']).'"'.($input_class ? $input_class : ' align="absmiddle"').' border="0" title="Sicherheitscode">';
        $_t = $captcha_image.' '.$captcha_input;
    }
    
    if (array_key_exists('image', $parameters) && $parameters['type']!='radio') {
    	$_t = $captcha_image;
    } elseif (array_key_exists('input', $parameters) && $parameters['type']!='radio') {
        $_t = $captcha_input;
    } elseif (array_key_exists('noimage', $parameters) && $parameters['type']!='radio') {
        if ($parameters['type']=='calc' || $parameters['type']=='calculate') {
            ob_start();
            include('captcha/rechen-captcha.php');
            $_t = ob_get_contents();
            ob_end_clean();
            //$_t = get_calc_captcha();
        } elseif ($parameters['type']=='image') {
            ob_start();
            include('captcha/captcha.php');
            $_t = ob_get_contents();
            ob_end_clean();
            //$_t = get_captcha();
        }
    } elseif (array_key_exists('jscript', $parameters) && $parameters['type']=='radio') {
        $_t = '<span id="sicherheitscode">'.$_t.'</span>'
            .'<script type="text/javascript">document.getElementById(\'sicherheitscode\').innerHTML = \'<input type="hidden" name="sicherheitscode" value="benutzer" />\';</script>';
    }    
    
    $replacement = $_t;
    
    break;
case 'form_data':
    $_t = '';
    
    if (array_key_exists('before', $parameters)) {
    	$before = $parameters['before'];
    	$before = str_replace('\n', "\n", $before);
    	$before = str_replace('<br>', "\n", $before);
    	$before = str_replace('<br/>', "\n", $before);
    	$before = str_replace('<br />', "\n", $before);
    	$before = str_replace('\t', "\t", $before);
    	$before = str_replace('&nbsp', " ", $before);
    } else {
        $before = '';
    }
    if (array_key_exists('between', $parameters)) {
    	$between = $parameters['between'];
    	$between = str_replace('\n', "\n", $between);
    	$between = str_replace('<br>', "\n", $between);
    	$between = str_replace('<br/>', "\n", $between);
    	$between = str_replace('<br />', "\n", $between);
    	$between = str_replace('\t', "\t", $between);
    	$between = str_replace('&nbsp', " ", $between);
    } else {
        $between = ': ';
    }
    if (array_key_exists('after', $parameters)) {
    	$after = $parameters['after'];
    	$after = str_replace('\n', "\n", $after);
    	$after = str_replace('<br>', "\n", $after);
    	$after = str_replace('<br/>', "\n", $after);
    	$after = str_replace('<br />', "\n", $after);
    	$after = str_replace('\t', "\t", $after);
    	$after = str_replace('&nbsp', " ", $after);
    } else {
        $after = "\n";
    }
    
    foreach ($content[$key]['mailData'] as $k => $v) {
        $_t .= $before.$k.$between.$v.$after;
    }
    $replacement = $_t;
    
    break;
case 'cpoSystem':
    $_t = $content[$key]['cpoSystem']['project'];
    foreach ($parameters as $k => $v) {
        $k = strtolower($k);
        //nur das auslesen der Folgenden Werte ber Template erlauben.
        if (!($k=='admin_email' || $k=='system_email' || $k=='project' || $k=='base_url')) {
            continue;
        }
        if (array_key_exists($k, $content[$key]['cpoSystem'])) {
        	$_t = $content[$key]['cpoSystem'][$k];
        }
    }    
    $replacement = $_t;
    
    break;
default:
    $replacement = '';

    break;
}



if ($nextaction=='save_article' && !array_key_exists($key, $checked_fields) && $_name=='captcha') {
    if ($parameters['type']=='calc' || $parameters['type']=='calculate' || $parameters['type']=='image') {
        //Einstellungen aus zentraler Datei hohlen
        $config = 'captcha/captcha_config.inc.php';
        if (!file_exists($config) || !is_readable($config)) {
            $config .= '.dist'; 
        }
        include($config);
        if (empty($captcha_key)) {
    	   $captcha_key = '8fkd9oq6n';
        }

        $sicherheits_eingabe = encrypt($_POST["sicherheitscode"], $captcha_key);
        $sicherheits_eingabe = str_replace("=", "", $sicherheits_eingabe);
        
        if($sicherheits_eingabe!=$_SESSION['captcha_spam'] || empty($sicherheits_eingabe)){
            $gb_ok2save = false;
            if (array_key_exists('message', $parameters) && strlen($parameters['message'])!=1) {
                $message[] = $parameters['message'];
            } elseif (array_key_exists('needed', $parameters) && strlen($parameters['needed'])!=1) {
                $message[] = $parameters['needed'];
            } else {
                $message[] = ___('Please give a correct security-code!');
            }
            unset($_SESSION['captcha_spam']);
        } else {
            unset($_SESSION['captcha_spam']);
        }
    } elseif ($parameters['type']=='radio') {
        if ($_POST['sicherheitscode']=='spammer') {
            if (array_key_exists('message', $parameters) && strlen($parameters['message'])!=1) {
                $message[] = $parameters['message'];
            } elseif (array_key_exists('needed', $parameters) && strlen($parameters['needed'])!=1) {
                $message[] = $parameters['needed'];
            } else {
                $message[] = ___('Are you a realy a spammer?');
            }
            $gb_ok2save = false;
        }
    }
    $checked_fields[$key] = $_name; //mehrfache validierung eines Elements verhindern
}

?>
