<?php /* _\|/_
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso-Module "Guestbook"                                           |
+------------------------------------------------------------------------+
| Copyright (c) Matthias Vorwergk                                        |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso.de                                             |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Mattias Vorwergk <matthias.vorwergk@web.de>                   |
+------------------------------------------------------------------------+
*/

define('CPO', true);
$directory = basename(dirname($_SERVER['PHP_SELF']));
$helpDir = $directory.'/_manual/deutsch';
$show = 'modules#'.ucfirst($directory);
require_once('../_include/checkaccess.inc.php'); //TODO: ist das erforderlich, oder kann ich es wecklassen?
if ($_SESSION['SID_user']['admin']<$activeModules[ucfirst($directory)]['admin']) exit;

require_once('_include/function.inc.php');
$translator->addTranslation('deutsch',CPO_BASEDIR.$activeModules[ucfirst($directory)]['directory'].'/_include/lang');

//Rubriken mit $directory als Rubrikverzeichnis auslesen
$db = new DB;
$query = "SELECT id, name, directory, source_rubric_id FROM ".CPO_RUBRIC." WHERE directory = '".addslashes($directory)."' ORDER BY name ASC";
DEBUG(1, $query, __FILE__, __LINE__);
$db->query($query);
while ($db->next_record()) {
    $dir_rubrics[$db->v('id')]['id']               = $db->v('id');
    $dir_rubrics[$db->v('id')]['name']             = $db->v('name');
    $dir_rubrics[$db->v('id')]['directory']        = $db->v('directory');
    $dir_rubrics[$db->v('id')]['source_rubric_id'] = $db->v('source_rubric_id');
    $dir_rubrics[$db->v('id')]['link']             = '../_admin/rubrics.php?action=rubrics_showsettings&id='.$db->v('id');
}

if (isset($_POST['submit_settings'])) {
    //Moduleinstellungen speichern und dabei nicht Artikel lschen, welche hier nicht gesetzt sind (array_merge())
    $activeModules[ucfirst($directory)] = array_merge($activeModules[ucfirst($directory)], $_POST['gb_settings']);
    save_module_options(ucfirst($directory));    

    if ($_POST['save_in_CPO_NEWS'] && !empty($_POST['gb_settings']['template_id']) && !empty($dir_rubrics)) {
        $temp = 'WHERE ( ';
        foreach ($dir_rubrics as $k => $v) {
            $where .= $temp."rubric_id = '".addslashes($v['id'])."' ";
            $temp = " OR ";
        }
        $where .= ' ) ';
        //Templates_id in alle Artikeln der Rubriken speichern, welche als Rubrikverzeichns das Modulverzeichnis benutzen
        $db = new DB;
        $query = "UPDATE ".CPO_NEWS." SET templates_id = '".addslashes($_POST['gb_settings']['template_id'])."' ".$where." ";
        DEBUG(1, $query, __FILE__, __LINE__);
        $db->query($query);
    }

    if ($_POST['save_in_CPO_RUBRIC'] && !empty($_POST['gb_settings']['template_id']) && !empty($dir_rubrics)) {
        foreach ($dir_rubrics as $k => $v) {
            //Templates_id in Rubrikeinstellungen speichern (standard-Template)
            $db = new DB;
            $query = "SELECT settings FROM ".CPO_RUBRIC." WHERE id = '".addslashes($v['id'])."' LIMIT 1";
            DEBUG(1, $query, __FILE__, __LINE__);
            $db->query($query);

            $db->next_record();
            $temp['standard_template'] = $_POST['gb_settings']['template_id'];
            $rubric_settings = array_merge(unserialize($db->v('settings')), $temp);
    
            $query = "UPDATE ".CPO_RUBRIC." SET settings = '".addslashes(serialize($rubric_settings))."' "
                ."WHERE id = '".addslashes($v['id'])."' ";
            DEBUG(1, $query, __FILE__, __LINE__);
            $db->query($query);
            
            //Templates_id auch in templates-assignment speichern
            $query = "SELECT COUNT(*) FROM ".CPO_TPL_ASSIGNMENT." "
                ."WHERE rubric_id = '".addslashes($v['id'])."' AND templates_id = '".addslashes($_POST['gb_settings']['template_id'])."' ";
            DEBUG(1, $query, __FILE__, __LINE__);   
            $db->query($query);
            $db->next_record();
            $count = $db->v('COUNT(*)');
            
            if ($count==0) {
                $query = "INSERT INTO ".CPO_TPL_ASSIGNMENT." "
                    ." ( rubric_id, templates_id, c_time, changer) "
                    ."VALUES ( '".addslashes($v['id'])."', '".addslashes($_POST['gb_settings']['template_id'])."', '".date("Y-m-d H:i:s",time())."', 'mod_guestbook') ";
                DEBUG(1, $query, __FILE__, __LINE__);   
                $db->query($query);
            }
    
        }
    }

    $message[] = ___('Saved the module settings of the module mod_guestbook.');
}

//Hier gebe ich einen Nachricht aus, wenn das Modul nicht lizenziert wurde
if ($cpoSystem['installed']<(time()-90*24*60*60) && //ConPresso-Testzeitraum abgelaufen ?
  $activeModules[ucfirst($directory)]['installed']<(time()-14*24*60*60) && //Modul-Testzeitraum (15 Tage) abgelaufen
  !license($activeModules[ucfirst($directory)]['lkey'], 10)) {
    $message['mod_guestbook_license'] = sprintf(__('Module %s is not licensed. You can register on the <a href="http://www.conpresso.de" target="_blank">ConPresso-Website</a>.'), $activeModules[ucfirst($directory)]['caption']);
}


//Moduleinstellungen laden
$gb_settings    = getSettings();

// ---------- header ---------- //
include(CPO_BASEDIR.$activeModules[ucfirst($directory)]['directory'].'/_include/producer.inc.php');
require(CPO_BASEDIR.'_include/header.php');

//berschriften ausgeben
printPageHeader(__('Edit guestbook settings'), ___('In this view you can modify the guestbook settings.'), '/'.$helpDir.'/settings.html#settings', $show);

//Javascript ausgeben
?>
<script type="text/javascript"><!--
function textarea (boxid, link){ 
	var t=document.getElementById(boxid); 
	if(link.innerHTML=='vergrern'){ 
		t.style.height = t.offsetHeight+350+"px"; 
		link.innerHTML='verkleinern'; 
	} else{ 
		t.style.height = t.offsetHeight-350+"px"; 
		link.innerHTML='vergrern'; 
	} 
} 
//--> </script>
<?php

include(CPO_BASEDIR.'_include/message.php');
?>
<form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
        
<table class="colored" style="width: 100%">
    <thead><tr>
        <th colspan="2"><span><?php echo ___('Module license'); ?></span></th>
    </tr>
 </thead><tbody>
    <tr>
        <td class="leftrow"><?php echo ___('License type:'); ?></div></td>
        <td class="rightrow">
            <?php
            if (license($cpoSystem['lkey'])=='1' AND license($gb_settings['lkey'], 10)=='2') {
                echo ___('Unregistered version, because commercial license of ConPresso and non commercial license of Module Guestbook did not work together!');
            } else {            
                switch (license($gb_settings['lkey'], 10)) {
                case 1:
                    echo ___('commercial license');
                    break;
                case 2:
                    echo ___('non commercial license');
                    break;
                case 3: 
                    echo ___('test license');
                    break;
                case 4:
                    echo ___('expired test license');
                    break;
                case 5:
                    echo ___('school license');
                    break;
                case false:
                    echo ___('unregistered version');
                    break;
                default:
                    echo ___('unknown license type');
                }
            }
            ?><br />
        </td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('Licensee:'); ?></td>
        <td class="rightrow">
            <input type="text" class="text inputwidth" name="gb_settings[owner]" value="<?php print(htmlspecialchars($gb_settings['owner'])); ?>" size="35" maxlength="255">
            <?php echo help('/'.$helpDir.'/settings.html#settings-license', false, $show); ?>
        </td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('License key:'); ?></td>
        <td class="rightrow">
            <input type="text" class="text inputwidth" name="gb_settings[lkey]" value="<?php print(htmlspecialchars($gb_settings['lkey'])); ?>" size="35" maxlength="255">            
        <?php echo help('/'.$helpDir.'/settings.html#settings-license', false, $show); ?></td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('Used product version:'); ?></td>
        <td class="rightrow">
            <?php print(htmlspecialchars($MOD['version'])); ?>
        <?php echo help('/'.$helpDir.'/settings.html#settings-license', false, $show); ?></td>
    </tr>
    <tr>
        <td class="leftrow">&nbsp;</td>
        <td class="rightrow"><button name="submit_settings" type="submit" value="submit_settings"><?php echo ___('Save settings'); ?></button></td>
    </tr>     
 </tbody>
</table>
    
    
<table class="colored" style="width: 100%">
 <thead>
    <tr>
        <th colspan="2"><span><?php echo ___('Guestbook settings'); ?></span></th>
    </tr>
 </thead>
 <tbody>
    <tr>
        <td class="leftrow"><?php echo ___('Guestbook rubrics:'); ?></td>
        <td class="rightrow"><?php
        if (empty($dir_rubrics)) {
            printf(___('Please create a rubric with the directory %s to finish the installation of the module mod_guestbook!'),
            '<em>'.htmlspecialchars($moduleDirectory).'</em>');
        } else {
            printf(__('The following rubrics has the module direcotry %s as rubric directory:'), '<em>'.$directory.'</em>');
            $temp = ' '; 
            foreach ($dir_rubrics as $k => $v) {
                if ($v['source_rubric_id']) { 
                    $source_rubric_id = ' ('.$v['source_rubric_id'].')';            	
                } else {
                    $source_rubric_id = '';
                }
                echo $temp.'<a href="'.$v['link'].'"'
                    .' title="'.sprintf(__('rubric-id: %s'), $k)
                    .(!empty($source_rubric_id) ? sprintf(__(' - extended rubric settings source: %s'), $v['source_rubric_id']) : '').'"'
                    .'>'.$v['name'].' ['.$k.$source_rubric_id.']</a>';
                $temp = ', ';
            }
        }
        ?><?php echo help('/'.$helpDir.'/settings.html#settings-gb_settings-gb_rubrics', false, $show); ?></td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('Template:'); ?></td>
        <td class="rightrow"><select name="gb_settings[template_id]" size="1"><?php
            //Templates auslesen
            $db_templates = new DB;
            $query_templates = "SELECT id, name FROM ".CPO_TEMPLATES." ORDER BY name ASC";
            DEBUG(1, $query_templates, __FILE__, __LINE__);
            $db_templates->query($query_templates);
            
            while ($db_templates->next_record()) {
                echo '<option value="'.$db_templates->v('id').'"'
                    .(($gb_settings['template_id']==$db_templates->v('id')) ? ' selected="selected"' : '')
                    .'>'.$db_templates->v('name').'</option>'."\n";
            }
        ?></select>
        <?php if (!empty($dir_rubrics)) { ?>
        <br /><input class="checkbox" type="checkbox" name="save_in_CPO_NEWS" value="1" id="save_in_CPO_NEWS">
        <label for="save_in_CPO_NEWS"><?php echo sprintf(___('Change template in the articles of the rubrics with the rubric directory %s.'), '<em>'.$directory.'</em>'); ?></label>
        <br /><input class="checkbox" type="checkbox" name="save_in_CPO_RUBRIC" value="1" id="save_in_CPO_RUBRIC">
        <label for="save_in_CPO_RUBRIC"><?php echo sprintf(___('Change template in the rubrics with the rubric directory %s.'), '<em>'.$directory.'</em>'); ?></label>
        <?php } ?>
        <?php echo help('/'.$helpDir.'/settings.html#settings-gb_settings-template', false, $show); ?></td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('Guestbook user:'); ?></td>
        <td class="rightrow"><select name="gb_settings[gb_user_id]" size="1"><?php
            //User auslesen
            $db_u = new DB;
            $query_user = "SELECT id, user, name FROM ".CPO_USER." WHERE admin!='0' ORDER BY user asc";
            DEBUG(1, $query_user, __FILE__, __LINE__);
            $db_u->query($query_user); 
            while ($db_u->next_record()) {
                echo '<option value="'.$db_u->v('id').'"'
                    .(($gb_settings['gb_user_id']==$db_u->v('id')) ? ' selected="selected"' : '')
                    .'>'.$db_u->v('name').' ['.$db_u->v('user').']</option>';
            }
            ?></select><?php
            printf('<br /><img src="'.SKIN_URL.'sym_note.gif" style="vertical-align: text-bottom;" alt="'.__('Note').'" title="'.__('Note').'"> '
                    .__('This user will be set as user which stores and releases articles.')
                    );
        ?><?php echo help('/'.$helpDir.'/settings.html#settings-gb_settings-gb_user_id', false, $show); ?></td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('Anonymisation:'); ?></td>
        <td class="rightrow"><?php echo '<input type="hidden" name="gb_settings[save_hostaddress]" value="0"/>'//value="0" falls Checkbox nicht ausgewhlt
            .'<input class="checkbox" type="checkbox" name="gb_settings[save_hostaddress]" value="1" id="save_hostaddress" '
            .(($gb_settings['save_hostaddress']) ? 'checked="checked"' : '')
            .'> <label for="save_hostaddress">'.___('Save hostaddress and hostname in the comment-field').'</label>';
        echo '<br />';
        echo '<input type="hidden" name="gb_settings[use_userdata]" value="0"/>'//value="0" falls Checkbox nicht ausgewhlt
            .'<input class="checkbox" type="checkbox" name="gb_settings[use_userdata]" value="1" id="use_userdata" '
            .(($gb_settings['use_userdata']) ? 'checked="checked"' : '')
            .'> <label for="use_userdata">'.___('Enter userdata of logged in users in new articles').'</label>';
        echo '<br />';
        echo '<input type="hidden" name="gb_settings[use_userid]" value="0"/>'//value="0" falls Checkbox nicht ausgewhlt
            .'<input class="checkbox" type="checkbox" name="gb_settings[use_userid]" value="1" id="use_userid" '
            .(($gb_settings['use_userid']) ? 'checked="checked"' : '')
            .'> <label for="use_userid">'.___('Store the ID of logged in users to enable editing of articles').'</label>'; ?><?php echo help('/'.$helpDir.'/settings.html#settings-gb_settings-anonymisation', false, $show); ?></td>
    </tr>    
    <tr>
        <td class="leftrow"><?php echo ___('Guestbook language:'); ?></td>
        <td class="rightrow"><select name="gb_settings[language]" size="1"><?php
            $d = $translator->findTranslations();

            foreach ($d as $v) {
                echo '<option value="'.$v.'"'
                    .(($gb_settings['language']==$v) ? ' selected="selected"' : '')
                    .">".htmlspecialchars($v)."</option>\n";
            }
        ?></select><?php echo help('/'.$helpDir.'/settings.html#settings-gb_settings-gb_language', false, $show); ?></td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('Date format:'); ?></td>
        <td class="rightrow"><input name="gb_settings[date_format]" type="text" value="<?php echo $gb_settings['date_format']; ?>" class="text inputwidth"><?php echo help('/'.$helpDir.'/settings.html#settings-gb_settings-dateformat', false, $show); 
            printf('<br /><img src="'.SKIN_URL.'sym_note.gif" style="vertical-align: text-bottom;" alt="'.__('Note').'" title="'.__('Note').'"> '
                .__('If this field is empty, it will use the date format of the system settings (%s).'), 
                htmlspecialchars($cpoSystem['date_format'])
                ); ?></td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('Send E-Mail after new article:'); ?></td>
        <td class="rightrow"><?php echo '<input type="hidden" name="gb_settings[sent_email]" value="0"/>'//value="0" falls Checkbox nicht ausgewhlt
                .'<input class="checkbox" type="checkbox" name="gb_settings[sent_email]" value="1" id="sent_email" '
                .(($gb_settings['sent_email']) ? 'checked="checked"' : '')
                .'> <label for="sent_email">'.___('Send E-Mail after an edited or new article to the following address:').'</label>'; ?>
            <br /><input name="gb_settings[email]" type="text" value="<?php echo $gb_settings['email']; ?>" class="text inputwidth">
            <?php echo help('/'.$helpDir.'/settings.html#settings-gb_settings-email', false, $show); ?></td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('Mail subject:'); ?></td>
        <td class="rightrow"><input name="gb_settings[email_subject]" type="text" value="<?php echo $gb_settings['email_subject']; ?>" class="text inputwidth">
            <?php echo help('/'.$helpDir.'/settings.html#settings-gb_settings-email_subject', false, $show); ?></td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('E-mail template:'); ?></td>
        <td class="rightrow"><textarea style="width: 95%; height: 100px;" class="textarea inputwidth" name="gb_settings[template_mail]" id="template_mail"><?php echo htmlspecialchars($gb_settings['template_mail']); ?></textarea>
            <?php echo help('/'.$helpDir.'/settings.html#settings-gb_settings-email_template', false, $show); ?>
            <br><a href="#" onclick="textarea('template_mail', this);return false" id="lnk">vergrern</a></td>
    </tr>
    <tr>
        <td class="leftrow">&nbsp;</td>
        <td class="rightrow"><button name="submit_settings" type="submit" value="submit_settings"><?php echo ___('Save settings'); ?></button></td>
    </tr>     
 </tbody>
</table>
    
    
<table class="colored" style="width: 100%">
 <thead>
    <tr>
        <th colspan="2"><span><?php echo ___('Settings for form page (\'detail.php\')'); ?></span></th>
    </tr>
 </thead>
 <tbody>
    <tr>
        <td class="leftrow"><?php echo ___('Text if article was saved:'); ?></td>
        <td class="rightrow"><input name="gb_settings[saved_message]" type="text" value="<?php echo $gb_settings['saved_message']; ?>" class="text inputwidth">
            <?php echo help('/'.$helpDir.'/settings.html#settings-form_settings-saved_message', false, $show); ?></td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('Release of new articles:'); ?></td>
        <td class="rightrow"><?php echo '<input type="hidden" name="gb_settings[releaseNewArticles]" value="1"/>'//value="0" falls Checkbox nicht ausgewhlt
                //value=1 heit Artikel immer freigeben, value=0 heit Artikel nicht freigeben
                .'<input class="checkbox" type="checkbox" name="gb_settings[releaseNewArticles]" value="0" id="releaseNewArticles" '
                .(($gb_settings['releaseNewArticles']) ? '' : 'checked="checked"')
                .'> <label for="releaseNewArticles">'.___('Don`t release new articles and show the following message instead:').'</label>';?>
            <br /><input name="gb_settings[notReleased_message]" type="text" value="<?php echo $gb_settings['notReleased_message']; ?>" class="text inputwidth">
            <?php echo help('/'.$helpDir.'/settings.html#settings-form_settings-releaseNewArticles', false, $show); ?></td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('View after sucsessfull entry of an article:'); ?></td>
        <td class="rightrow">
            <input type="radio" id="nextview1" name="gb_settings[nextview_after_entry]" value="confirm"
                <?php if($gb_settings['nextview_after_entry']=='confirm') echo ' checked="checked"'; ?>>
            <label for="nextview1"><?php echo ___(' confirm site - with the option to edit the article (over the placeholder <!-- guestbook: fastedit; -->)'); ?></label><br />
            <input type="radio" id="nextview2" name="gb_settings[nextview_after_entry]" value="jump2index"
                <?php if($gb_settings['nextview_after_entry']=='jump2index') echo ' checked="checked"'; ?>>
            <label for="nextview2"><?php echo ___(' index site of the guestbook with all articles'); ?></label><br />
            <input type="radio" id="nextview3" name="gb_settings[nextview_after_entry]" value="index2article"
                <?php if($gb_settings['nextview_after_entry']=='index2article') echo ' checked="checked"'; ?>>
            <label for="nextview3"><?php echo ___(' jump to the own article on the index site'); ?></label>
        <?php echo help('/'.$helpDir.'/settings.html#settings-form_settings-nextview_after_entry', false, $show); ?></td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('Everyone can enter:'); ?></td>
        <td class="rightrow"><?php echo '<input type="hidden" name="gb_settings[everybody_can_enter]" value="0"/>'//value="0" falls Checkbox nicht ausgewhlt
            .'<input class="checkbox" type="checkbox" name="gb_settings[everybody_can_enter]" value="1" id="everybody_can_enter" '
            .(($gb_settings['everybody_can_enter']) ? 'checked="checked"' : '')
            .'> <label for="everybody_can_enter">'.___('Not logged-in guests can enter guestbook-articles.').'</label>'; ?><?php echo help('/'.$helpDir.'/settings.html#settings-form_settings-everybody_can_enter', false, $show); ?></td>
    </tr>    
    <tr>
        <td class="leftrow"><?php echo ___('Everyone can comment:'); ?></td>
        <td class="rightrow"><?php echo '<input type="hidden" name="gb_settings[everybody_can_comment]" value="0"/>'//value="0" falls Checkbox nicht ausgewhlt
            .'<input class="checkbox" type="checkbox" name="gb_settings[everybody_can_comment]" value="1" id="everybody_can_comment" '
            .(($gb_settings['everybody_can_comment']) ? 'checked="checked"' : '')
            .'> <label for="everybody_can_comment">'.___('Not logged-in guests can comment other guestbook-articles.').'</label>'; ?><?php echo help('/'.$helpDir.'/settings.html#settings-form_settings-everybody_can_comment', false, $show); ?></td>
    </tr>    
    <tr>
        <td class="leftrow"><?php echo ___('Badwords:'); ?></td>
        <td class="rightrow"><textarea<?php /*echo ' style="width: 95%; height: 100px;"'; */ ?> class="textarea inputwidth" name="gb_settings[badwords]" id="badwords"><?php echo htmlspecialchars($gb_settings['badwords']); ?></textarea>
            <?php /*echo ' <br /><a href="#" onclick="textarea('badwords', this);return false" id="lnk">vergrern</a>'; */ ?>
            <br /><?php echo ___('replace badwords with:'); ?>
            <input name="gb_settings[badwords_replace]" type="text" value="<?php echo $gb_settings['badwords_replace']; ?>" class="text inputwidth"><br />
            <?php echo '<input type="hidden" name="gb_settings[releaseBadwordArticles]" value="1"/>'//value="0" falls Checkbox nicht ausgewhlt
                //value=1 heit Artikel bei Fund freigeben, value=0 heit Artikel nicht freigeben
                .'<input class="checkbox" type="checkbox" name="gb_settings[releaseBadwordArticles]" value="0" id="releaseBadwordArticles" '
                .(($gb_settings['releaseBadwordArticles']) ? '' : 'checked="checked"')
                .'> <label for="releaseBadwordArticles">'.___('Don`t replace badwords, don`t release articles and show the following message instead:').'</label>';?>
            <br /><input name="gb_settings[notReleased_badwordMessage]" type="text" value="<?php echo $gb_settings['notReleased_badwordMessage']; ?>" class="text inputwidth">
            <?php echo help('/'.$helpDir.'/settings.html#settings-form_settings-badwords', false, $show); ?></td>
    </tr>
    <!--<tr>
        <td class="leftrow"><?php echo ___('Rows of textarea fields (required):'); ?></td>
        <td class="rightrow"><input name="gb_settings[textarea_rows]" type="text" value="<?php echo $gb_settings['textarea_rows']; ?>" class="text inputwidth">
            <?php echo help('/'.$helpDir.'/settings.html#settings-form_settings-textarea_rows', false, $show); ?></td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('Cols of textarea fields (required):'); ?></td>
        <td class="rightrow"><input name="gb_settings[textarea_cols]" type="text" value="<?php echo $gb_settings['textarea_cols']; ?>" class="text inputwidth">
            <?php echo help('/'.$helpDir.'/settings.html#settings-form_settings-textarea_cols', false, $show); ?></td>
    </tr>-->
    <tr>
        <td class="leftrow">&nbsp;</td>
        <td class="rightrow"><button name="submit_settings" type="submit" value="submit_settings"><?php echo ___('Save settings'); ?></button></td>
    </tr>     
 </tbody>
</table>
    
    
<table class="colored" style="width: 100%">
 <thead>
    <tr>
        <th colspan="2"><span><?php echo ___('Settings for rubric page (\'index.php\')'); ?></span></th>
    </tr>
 </thead>
 <tbody>
    <tr>
        <td class="leftrow"><?php echo ___('View on \'index.php\':'); ?></td>
        <td class="rightrow">
            <input type="radio" id="index_view1" name="gb_settings[index_view]" value="form#index"
                <?php if($gb_settings['index_view']=='form#index') echo ' checked="checked"'; ?>>
            <label for="index_view1"><?php echo ___(' show the form in front of the articles'); ?></label><br />
            <input type="radio" id="index_view2" name="gb_settings[index_view]" value="index"
                <?php if($gb_settings['index_view']=='index') echo ' checked="checked"'; ?>>
            <label for="index_view2"><?php echo ___(' show only the articles'); ?></label><br />
            <input type="radio" id="index_view3" name="gb_settings[index_view]" value="index#form"
                <?php if($gb_settings['index_view']=='index#form') echo ' checked="checked"'; ?>>
            <label for="index_view3"><?php echo ___(' show the form after the articles'); ?></label>
        <?php echo help('/'.$helpDir.'/settings.html#settings-index_settings-index_view', false, $show); ?></td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('Text if no article was found:'); ?></td>
        <td class="rightrow"><input name="gb_settings[noArticlesFound]" type="text" value="<?php echo htmlspecialchars($gb_settings['noArticlesFound']); ?>" class="text inputwidth">
            <?php echo help('/'.$helpDir.'/settings.html#settings-index_settings-noArticlesFound', false, $show); ?></td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('No. of article on rubric-page:'); ?></td>
        <td class="rightrow"><input name="gb_settings[noOfArticles]" type="text" value="<?php echo $gb_settings['noOfArticles']; ?>" class="text inputwidth">
            <?php echo help('/'.$helpDir.'/settings.html#settings-index_settings-noOfArticles', false, $show); ?></td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('Article sorting method:'); ?></td>
        <td class="rightrow">
            <input type="radio" id="sort1" name="gb_settings[sorting]" value="idx desc, pub_datum desc"
                <?php if($gb_settings['sorting']=='idx desc, pub_datum desc') echo ' checked="checked"'; ?>>
            <label for="sort1"><?php echo ___(' by date (newest on top)'); ?></label><br />
            <input type="radio" id="sort2" name="gb_settings[sorting]" value="idx asc, pub_datum asc"
                <?php if($gb_settings['sorting']=='idx asc, pub_datum asc') echo ' checked="checked"'; ?>>
            <label for="sort2"><?php echo ___(' by date (oldest on top)'); ?></label><?php echo help('/'.$helpDir.'/settings.html#settings-index_settings-sorting', false, $show); ?></td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('Commentary sorting method:'); ?></td>
        <td class="rightrow">
            <input type="radio" id="sort1_comment" name="gb_settings[sorting_comment]" value="idx, pub_datum desc"
                <?php if($gb_settings['sorting_comment']=='idx, pub_datum desc') echo ' checked="checked"'; ?>>
            <label for="sort1_comment"><?php echo ___(' by date (newest on top)'); ?></label><br />
            <input type="radio" id="sort2_comment" name="gb_settings[sorting_comment]" value="idx, pub_datum asc"
                    <?php if($gb_settings['sorting_comment']=='idx, pub_datum asc') echo ' checked="checked"'; ?>>
            <label for="sort2_comment"><?php echo ___(' by date (oldest on top)'); ?></label><?php echo help('/'.$helpDir.'/settings.html#settings-index_settings-sorting_comment', false, $show); ?></td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('Show Comments:'); ?></td>
        <td class="rightrow">
            <input type="radio" id="print_comments1" name="gb_settings[print_comments]" value="pre"
                <?php if($gb_settings['print_comments']=='pre') echo ' checked="checked"'; ?>>
            <label for="print_comments1"><?php echo ___(' in front of the commented article'); ?></label><br />
            <input type="radio" id="print_comments2" name="gb_settings[print_comments]" value="no"
                <?php if($gb_settings['print_comments']=='no') echo ' checked="checked"'; ?>>
            <label for="print_comments2"><?php echo ___(' only in the template (over the placeholder <!-- guestbook: comments; -->)'); ?></label><br />
            <input type="radio" id="print_comments3" name="gb_settings[print_comments]" value="post"
                <?php if($gb_settings['print_comments']=='post') echo ' checked="checked"'; ?>>
            <label for="print_comments3"><?php echo ___(' after the commented article'); ?></label>
        <?php echo help('/'.$helpDir.'/settings.html#settings-index_settings-print_comments', false, $show); ?></td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('Article divider:'); ?></td>
        <td class="rightrow"><textarea class="textarea inputwidth" name="gb_settings[articleSeparator]"><?php echo htmlspecialchars($gb_settings['articleSeparator']); ?></textarea>
            <?php echo help('/'.$helpDir.'/settings.html#settings-index_settings-articleSeparator', false, $show); ?></td>
    </tr>
     <tr>
        <td class="leftrow"><?php echo ___('Commentary divider:'); ?></td>
        <td class="rightrow"><textarea class="textarea inputwidth" name="gb_settings[commentSeparator]"><?php echo htmlspecialchars($gb_settings['commentSeparator']); ?></textarea>
            <?php echo help('/'.$helpDir.'/settings.html#settings-index_settings-commentSeparator', false, $show); ?></td>
    </tr>
    <tr>
        <td class="leftrow"><?php echo ___('Pager texts:'); ?></td>
        <td class="rightrow"><?php echo ___('previous page:'); ?><br />
            <input name="gb_settings[pager_previous]" type="text" value="<?php echo $gb_settings['pager_previous']; ?>" class="text inputwidth">
            <br /><?php echo ___('next page:'); ?><br />
            <input name="gb_settings[pager_next]" type="text" value="<?php echo $gb_settings['pager_next']; ?>" class="text inputwidth">
            <br /><br />
            
            <input class="checkbox" type="checkbox" name="gb_settings[pager_showresults]" value="1" id="pager_showresults"<?php echo ($gb_settings['pager_showresults'] ? ' checked="checked"' : ''); ?>>
            <label for="pager_showresults"><?php echo ' '.___('show extended information'); ?></label><br />
            
            <?php echo ___('Found:'); ?><br />
            <input name="gb_settings[pager_found]" type="text" value="<?php echo $gb_settings['pager_found']; ?>" class="text inputwidth">
            <br /><?php echo ___('Results:'); ?><br />
            <input name="gb_settings[pager_results]" type="text" value="<?php echo $gb_settings['pager_results']; ?>" class="text inputwidth">
            <?php echo help('/'.$helpDir.'/settings.html#settings-index_settings-navigation', false, $show); 
            echo '<br /><br /><img src="'.SKIN_URL.'sym_note.gif" style="vertical-align: text-bottom;" alt="'.__('Note').'" title="'.__('Note').'"> '.
            ___('If a field is empty it will use the caption of the field as default.'); ?>
        </td>
    </tr>
    <tr>
        <td class="leftrow">&nbsp;</td>
        <td class="rightrow"><button name="submit_settings" type="submit" value="submit_settings"><?php echo ___('Save settings'); ?></button></td>
    </tr>     
 </tbody>
</table>

</form>
 
<?php 

// ---------- footer ---------- //
include(CPO_BASEDIR.'_include/footer.php');

?>